Qt 4.7.2 for Maemo (N900) ?



  • Is there a build of 4.7.2 for N900 ?

    I need some of the changes/fixes in 4.7.2. The firmware has 4.7.0 and I found a build around 4.7.1 in extras-devel.

    Or is it possible to build 4.7.2 for N900? All the Qt maemo docs says to install the binary package (e.g. http://doc.qt.nokia.com/qt-maemo-4.7/install-maemo5-binary.html)



  • Unfortunately I don't know a more recent precompiled version. But if you already have a scratchbox set up, I would simply try compiling it from source. I think, it should work. I've not tried it myself, but with Qt Mobility it worked out of the box.



  • I have Qt SDK 1.1 with MADDE, but I guess that should still work. I wonder though if there are some particular options that needs to be set, e.g. for proper Power VR support, or if it just works out of the box.



  • I'm not sure, but I don't think MADDE comes with all the required libs and headers to build Qt. But I don't have much experience with MADDE, so I'm happy if you prove me wrong. At least in scratchbox the configure options should be automatically detected since it is a 'true' Maemo environment.

    Sorry that I can't be of more help. It certainly would be nice to have proper Qt 4.7.2 packages in Extras (or Extras-devel).



  • Found out the latest Community SSU update has 4.7.2: http://wiki.maemo.org/Community_SSU

    Not sure how to get relevant packages into MADDE, but at least I can run against 4.7.2 on the device now


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.